/* **************************
Below 1265px 
****************************/

@media (max-width: 79rem) {
  html {
    font-size: 65.25%;
  }

  .main-nav-list {
    margin-left: 16.4rem;
  }

  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 1.4rem;
  }

  .logo {
    width: 65%;
    margin-top: 4.8rem;
  }

  .hero-desc {
    margin-top: 8.6rem;
  }

  .bio-desc-1 {
    margin-top: 5.6rem;
  }

  .bio-desc-2 {
    margin-top: 5.6rem;
  }

  .event-container {
    gap: 1.2rem;
  }

  .event-desc {
    padding-right: 12.6rem;
    font-size: 1.8rem;
  }

  .event-img {
    margin-top: 2.4rem;
  }
}

/* **************************
Below 1050px 
****************************/

@media (max-width: 66em) {
  html {
    font-size: 58.25%;
  }

  .logo {
    width: 50%;
    margin-top: 4.2rem;
  }

  .hero-desc {
    margin-top: 8.6rem;
  }

  .section-bio {
    padding-top: 5.6rem;
  }

  .bio-desc-1 {
    margin-top: 5.6rem;
  }

  .bio-desc-2 {
    margin-top: 5.6rem;
  }

  .event-container {
    gap: 3.2rem;
  }

  .event-desc {
    padding-right: 15.6rem;
  }

  /* Mobile Navigation */
  .btn-mobile-nav {
    display: block;
    position: absolute;
    top: 3.6rem;
    right: 4.2rem;
    z-index: 99999;
  }

  .main-nav {
    position: absolute;
    background-color: rgba(240, 248, 255, 0.97);
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    transform: translateX(100%);

    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease-in;

    /* 1) Hide it visually */
    opacity: 0;

    /* 2) Make it unaccessible to mouse and keyboard */
    pointer-events: none;

    /* 3) Hide it from screen readers */
    visibility: hidden;
  }

  .nav-open .main-nav {
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    transform: translateX(0);
  }

  .nav-open .icon-mobile-nav[name="close-outline"] {
    display: block;
  }

  .nav-open .icon-mobile-nav[name="menu-outline"] {
    display: none;
  }

  .main-nav-list {
    flex-direction: column;
    gap: 8.8rem;
  }

  .main-nav-link:link,
  .main-nav-link:visited {
    font-size: 3rem;
    font-weight: 700;
  }

  .soundcloud {
    height: 200;
  }
}

/* ***********************
Below 800px
************************ */

@media (max-width: 54em) {
  html {
    font-size: 45.25%;
  }

  .logo {
    width: 45%;
    margin-top: 4.6rem;
  }

  .hero-desc {
    margin-top: 8.6rem;
  }

  .section-bio {
    margin: 0 0 0 0;
  }

  .bio-desc-1 {
    margin-top: 5.6rem;
  }

  .bio-desc-2 {
    margin-top: 5.6rem;
  }

  .event-container {
    gap: 3.2rem;
  }

  .event-desc {
    padding-left: 22.6rem;
    padding-right: 17.6rem;
  }

  .event-exp {
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
  }
}

/* ***********************
Below 725px
************************ */

@media (max-width: 45em) {
  html {
    font-size: 40.25%;
  }

  .logo {
    width: 45%;
    margin-top: 4.2rem;
  }

  .hero-desc {
    margin-top: 8.6rem;
  }

  .section-bio {
    margin-left: 0;
    margin-right: 0;
    margin-top: 0;
  }

  .bio-desc-1 {
    margin-top: 5.6rem;
  }

  .bio-desc-2 {
    margin-top: 5.6rem;
  }

  .event-exp {
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
  }

  .event-img {
    padding-top: 3.2rem;
    padding-right: 3.2rem;
  }

  .event-container {
    gap: 3.2rem;
  }

  .event-desc {
    padding-left: 19.6rem;
    padding-right: 12.8rem;
  }

  .event-exp {
    padding-top: 0;
  }

  .event-img {
    margin-top: 0;
  }
}

/* ***********************
Below 650px
************************ */

@media (max-width: 40em) {
  html {
    font-size: 38.25%;
  }

  .header {
    height: 15.6rem;
  }

  .logo {
    width: 42%;
    margin-top: 4.6rem;
  }

  .hero-desc {
    margin-top: 8.6rem;
  }

  .bio-desc-1 {
    margin-top: 5.6rem;
    margin-left: 0;
    margin-right: 0;
  }

  .bio-desc-2 {
    margin-top: 5.6rem;
    margin-left: 0;
    margin-right: 0;
  }

  .event-container {
    gap: 3.2rem;
  }

  .event-desc {
    padding-left: 16.6rem;
    padding-right: 7.8rem;
  }

  .section-events-overview {
    padding: 1rem 1rem 0 1rem;
  }

  .video {
    width: 70%;
    margin: 4.8rem auto;
  }

  /* Mobile Navigation */
  .btn-mobile-nav {
    display: block;
    position: absolute;
    top: 2.8rem;
    right: 4.2rem;
  }
}

/* ***********************
Below 572px
************************ */

@media (max-width: 34.7em) {
  html {
    font-size: 33.25%;
  }

  .grid--2-cols,
  .grid--3-cols {
    grid-template-columns: 1fr;
  }

  .grid--4-cols {
    grid-template-columns: repeat(3, 1fr);
  }

  .header {
    height: 15.6rem;
  }

  .logo {
    width: 42%;
    margin-top: 3.4rem;
  }

  .grid {
    column-gap: 0rem;
  }

  .hero {
    padding-top: 9.6rem;
    padding-bottom: 9.6rem;
  }

  .hero-desc {
    margin-top: 4.6rem;
    margin-right: 0;
    padding-left: 4.2rem;
    padding-top: 5.4rem;
  }

  .bio-desc-1 {
    margin-top: 5.6rem;
    font-size: 2.8em;
    margin-left: 0.6rem;
    text-align: center;
  }

  .bio-img-2 {
    margin-top: 7.6rem;
  }

  .bio-desc-2 {
    margin-top: 3.6rem;
    font-size: 2.8em;
    margin-left: -2.4rem;
    text-align: center;
  }

  .event-container {
    gap: 5.6rem;
  }

  .event-desc {
    padding-left: 6.2rem;
    padding-right: 10.2rem;
    font-size: 2.8rem;
    text-align: center;
    padding-bottom: 2.6rem;
  }

  .event-img {
    width: 95%;
    margin-left: 2.2rem;
    margin-top: 3.6rem;
  }

  .sm-icon {
    height: 4.8rem;
    width: 4.8rem;
  }
  .contact {
    font-size: 4.6rem;
  }

  .email {
    font-size: 3.2rem;
  }

  .price {
    font-size: 2.4rem;
  }

  .cta-img {
    width: 45%;
  }

  .video {
    margin: 5.2rem auto;
  }

  .soundcloud {
    width: 70%;
  }
}

/* ***********************
Below 448px
************************ */

@media (max-width: 28em) {
  html {
    font-size: 29.25%;
  }

  .grid--2-cols {
    grid-template-columns: 1fr;
  }

  .logo {
    width: 42%;
    margin-top: 4.4rem;
  }

  .hero-desc {
    margin-top: 0rem;
  }

  .grid--2-cols {
    row-gap: 0;
  }

  .bio-desc-1 {
    margin-top: 3.6rem;
    margin-bottom: 3.6rem;
  }

  .bio-desc-2 {
    margin-top: 3.6rem;
    padding-right: 2.4rem;
  }

  .event-container {
    gap: 4.6rem;
  }

  .event-desc {
    padding-left: 1.6rem;
    padding-right: 4.8rem;
  }

  .event-img {
    padding-top: 0;
  }

  .video {
    width: 75%;
    margin: 4.8rem auto;
  }

  .cta-img {
    width: 55%;
  }
}

/* ***********************
Below 375px
************************ */

@media (max-width: 22em) {
  html {
    font-size: 25.25%;
  }

  .logo {
    width: 42%;
    margin-top: 4rem;
  }

  .hero-desc {
    margin-top: 0;
    padding-top: 1.2rem;
  }

  .bio-desc-1 {
    margin-top: 3.6rem;
  }

  .bio-desc-2 {
    margin-top: 3.6rem;
  }

  .event-container {
    gap: 3.2rem;
  }

  .event-desc {
    font-size: 2.6rem;
    padding-left: -0.8rem;
    padding-right: 4.6rem;
  }

  .cta-img {
    padding-top: 5.6rem;
    width: 65%;
  }

  .section-events-overview {
    padding: 0 1.2rem 0 1.2rem;
  }

  .video {
    width: 80%;
    margin: 5.2rem auto;
  }
}
